{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}

{% block content %}

<div class="container">
    <div class="row">
        <div class="col-md-12 heading-section text-center fadeInUp">
            <span class="subheading">Order details</span>
            <h2 class="mb-4">Order № {{ order.id }} at {{ order.updated|date:"d M Y" }}</h2>
        </div>
    </div>
</div>

<div class="container">
    <div class="row">
        <div class="col-md-12 fadeInUp">
            <div class="cart-list">
                <table class="table">
                    <thead class="thead-primary">
                        <tr class="text-center">
                            <th>№</th>
                            <th>Product List</th>
                            <th>&nbsp;</th>
                            <th>Price</th>
                            <th>Quantity</th>
                            <th>Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item in order.items.all %}
                        <tr class="text-center">
                            <td class="product-counter">{{ forloop.counter }}</td>
                            <td class="image-prod"><div class="img" style="background-image:url({{ item.product.main_photo.url }});"></div></td>
                            <td class="product-name">
                                <h3>{{ item.product.name }}</h3>
                                <p>{{ item.product.short_description }}</p>
                            </td>
                            <td class="price">{{ item.product.price|floatformat:2 }}</td>
                            <td class="quantity">{{ item.quantity }}</td>
                            <td class="total">{{ item.get_cost|floatformat:2 }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock %}

